#ifndef _KGR_PATCH_BSC1021417_H
#define _KGR_PATCH_BSC1021417_H

#if defined(CONFIG_XEN)

#include "local.h"

int kgr_patch_bsc1021417_init(void);
void kgr_patch_bsc1021417_cleanup(void);
void kgr_netbk_get_requests(struct xen_netbk *netbk, netif_t *netif,
	struct sk_buff *skb, struct netbk_tx_gop *gop);
void kgr_net_tx_action(unsigned long group);

#define KGR_PATCH_BSC1021417_FUNCS						\
	KGR_PATCH_OBJ(netbk_get_requests, kgr_netbk_get_requests, "netbk"),	\
	KGR_PATCH_OBJ(net_tx_action, kgr_net_tx_action, "netbk"),

#else

int kgr_patch_bsc1021417_init(void)
{
	return 0;
}
void kgr_patch_bsc1021417_cleanup(void) { }

/* No patched functions is intentional. */
#define KGR_PATCH_BSC1021417_FUNCS

#endif

#endif
